﻿Imports System.Data

Public Class _Default
    Inherits System.Web.UI.Page

#Region "Handlers"

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then BindDropDown("")
    End Sub

    Private Sub WebDropDown1_ItemsRequested(sender As Object, e As Infragistics.Web.UI.ListControls.DropDownItemsRequestedEventArgs) Handles WebDropDown1.ItemsRequested
        BindDropDown(e.Value.ToString())
    End Sub

    Private Sub WebDropDown1_SelectionChanged(sender As Object, e As Infragistics.Web.UI.ListControls.DropDownSelectionChangedEventArgs) Handles WebDropDown1.SelectionChanged
        Label1.Text = e.NewSelection
    End Sub

#End Region

#Region "Methods"

    Private Function GetData(rows As Integer) As DataTable
        Dim dt As New DataTable()
        dt.Columns.Add("id")
        dt.Columns.Add("name")

        For i As Integer = 0 To rows
            dt.Rows.Add(i, "item " & i)
        Next

        Return dt

    End Function

    Private Sub BindDropDown(filter As String)

        Dim dt As DataTable = GetData(500)

        Dim query = _
            From order In dt.AsEnumerable()
            Where order.Field(Of String)("name").Contains(filter) _
            Select order

        If Not query.Count() = 0 Then
            Dim boundTable As DataTable = query.CopyToDataTable()

            WebDropDown1.DataSource = boundTable
            WebDropDown1.ValueField = "id"
            WebDropDown1.TextField = "name"
            WebDropDown1.DataBind()

        End If
    End Sub

#End Region

End Class